USB_EP_CLEAR_HALT(9)

NAME
usb_ep_clear_halt - clears endpoint halt, and resets toggle

SYNOPSIS

int usb_ep_clear_halt(struct usb_ep * ep);

ARGUMENTS

ep
    the bulk or interrupt endpoint being reset

DESCRIPTION

Use this when responding to the standard usb “set interface” request, for endpoints that aren't reconfigured, after clearing any other state in the endpoint's i/o queue.

Returns zero, or a negative error code. On success, this call clears the underlying hardware state reflecting endpoint halt and data toggle. Note that some hardware can't support this request (like pxa2xx_udc), and accordingly can't correctly implement interface altsettings.

AUTHOR

David Brownell <dbrownell@users.sourceforge.net>
    Author.

COPYRIGHT